GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService:

## Public Member Functions
| SporadicCollectionService (URL wsdlLocation)
| SporadicCollectionService (URL wsdlLocation, QName serviceName)
| SporadicCollectionService ()
| SporadicCollectionService (WebServiceFeature ... features)
| SporadicCollectionService (URL wsdlLocation, WebServiceFeature ... features)
| SporadicCollectionService (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
SporadicCollectionPortType | getSporadicCollectionPort ()
SporadicCollectionPortType | getSporadicCollectionPort (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://fpcs.gls-group.eu/v1/SporadicCollection", "SporadicCollectionService")
static final QName | SporadicCollectionPort = new QName("http://fpcs.gls-group.eu/v1/SporadicCollection", "SporadicCollectionPort")

## Detailed Description

SporadicCollection service Version: 1.0 History: 1.0 [2023-05-16] initial release

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 20 of file SporadicCollectionService.java.

## Constructor & Destructor Documentation

## ◆ SporadicCollectionService() [1/6]

eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionService | ( | URL | wsdlLocation | ) |

Definition at line 39 of file SporadicCollectionService.java.

## ◆ SporadicCollectionService() [2/6]

eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionService | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 43 of file SporadicCollectionService.java.

## ◆ SporadicCollectionService() [3/6]

eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionService | ( |  | ) |

Definition at line 47 of file SporadicCollectionService.java.

## ◆ SporadicCollectionService() [4/6]

eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionService | ( | WebServiceFeature ... | features | ) |

Definition at line 51 of file SporadicCollectionService.java.

## ◆ SporadicCollectionService() [5/6]

eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionService | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 55 of file SporadicCollectionService.java.

## ◆ SporadicCollectionService() [6/6]

eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionService | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 59 of file SporadicCollectionService.java.

## Member Function Documentation

## ◆ getSporadicCollectionPort() [1/2]

SporadicCollectionPortType eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.getSporadicCollectionPort | ( |  | ) |

Returns
  returns SporadicCollectionPortType

Definition at line 72 of file SporadicCollectionService.java.

## ◆ getSporadicCollectionPort() [2/2]

SporadicCollectionPortType eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.getSporadicCollectionPort | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns SporadicCollectionPortType

Definition at line 84 of file SporadicCollectionService.java.

## Member Data Documentation

## ◆ SERVICE

final QName eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SERVICE = new QName("http://fpcs.gls-group.eu/v1/SporadicCollection", "SporadicCollectionService")
| static

Definition at line 24 of file SporadicCollectionService.java.

## ◆ SporadicCollectionPort

final QName eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.SporadicCollectionPort = new QName("http://fpcs.gls-group.eu/v1/SporadicCollection", "SporadicCollectionPort")
| static

Definition at line 25 of file SporadicCollectionService.java.

## ◆ WSDL_LOCATION

final URL eu.gls_group.fpcs.v1.sporadiccollection.SporadicCollectionService.WSDL_LOCATION
| static

Definition at line 22 of file SporadicCollectionService.java.

The documentation for this class was generated from the following file:

- SporadicCollectionService.java